Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.jayasoft.ivy
Class MDArtifact

    java.lang.Object
      fr.jayasoft.ivy.AbstractArtifact
          fr.jayasoft.ivy.MDArtifact

All Implemented Interfaces:
  Artifact

public class MDArtifact
extends AbstractArtifact

Author:
  x.hanin

Constructor Summary
`MDArtifact(ModuleDescriptor md, java.lang.String name, java.lang.String type, java.lang.String ext)`

Method Summary
`void` | `addConfiguration(java.lang.String conf)`
`java.lang.String[]` | `getConfigurations()`
`java.lang.String` | `getExt()`
`ArtifactRevisionId` | `getId()`
`ModuleRevisionId` | `getModuleRevisionId()` Returns the resolved module revision id for this artifact
`java.lang.String` | `getName()`
`java.util.Date` | `getPublicationDate()` Returns the resolved publication date for this artifact
`java.lang.String` | `getType()`

Methods inherited from class fr.jayasoft.ivy.AbstractArtifact
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MDArtifact

    public MDArtifact(ModuleDescriptor md,
                      java.lang.String name,
                      java.lang.String type,
                      java.lang.String ext)

Method Detail

### getModuleRevisionId

    public ModuleRevisionId getModuleRevisionId()

  Description copied from interface: `Artifact`
  Returns the resolved module revision id for this artifact

  Returns:

### getPublicationDate

    public java.util.Date getPublicationDate()

  Description copied from interface: `Artifact`
  Returns the resolved publication date for this artifact

  Returns:
    the resolved publication date

### getId

    public ArtifactRevisionId getId()

  Returns:
    the id of the artifact

### getName

    public java.lang.String getName()

### getType

    public java.lang.String getType()

### getExt

    public java.lang.String getExt()

### getConfigurations

    public java.lang.String[] getConfigurations()

### addConfiguration

    public void addConfiguration(java.lang.String conf)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD